Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.common
Class EnumHelper

    java.lang.Object
      net.minecraftforge.common.EnumHelper

Direct Known Subclasses:
  EnumHelperClient

    public class EnumHelper

extends Object

Constructor Summary
`EnumHelper()`

Method Summary
`static EnumAction` | `addAction(String name)`
`static EnumArmorMaterial` | `addArmorMaterial(String name, int durability, int[] reductionAmounts, int enchantability)`
`static EnumArt` | `addArt(String name, String tile, int sizeX, int sizeY, int offsetX, int offsetY)`
`static EnumCreatureAttribute` | `addCreatureAttribute(String name)`
`static EnumCreatureType` | `addCreatureType(String name, Class typeClass, int maxNumber, Material material, boolean peaceful)`
`static EnumDoor` | `addDoor(String name)`
`static EnumEnchantmentType` | `addEnchantmentType(String name)`
`static EnumEntitySize` | `addEntitySize(String name)`
`static
`<T extends Enum<?>> T`
` | `addEnum(Class[][] map, Class<T> enumType, String enumName, Object... paramValues)`
`static
`<T extends Enum<?>> T`
` | `addEnum(Class<T> enumType, String enumName, Class<?>[] paramTypes, Object[] paramValues)`
`static
`<T extends Enum<?>> T`
` | `addEnum(Class<T> enumType, String enumName, Object... paramValues)`
`static EnumMobType` | `addMobType(String name)`
`static EnumMovingObjectType` | `addMovingObjectType(String name)`
`static EnumSkyBlock` | `addSkyBlock(String name, int lightValue)`
`static EnumStatus` | `addStatus(String name)`
`static EnumToolMaterial` | `addToolMaterial(String name, int harvestLevel, int maxUses, float efficiency, int damage, int enchantability)`
`static void` | `setFailsafeFieldValue(Field field, Object target, Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumHelper

    public EnumHelper()

Method Detail

### addAction

    public static EnumAction addAction(String name)

### addArmorMaterial

    public static EnumArmorMaterial addArmorMaterial(String name,
                                                     int durability,
                                                     int[] reductionAmounts,
                                                     int enchantability)

### addArt

    public static EnumArt addArt(String name,
                                 String tile,
                                 int sizeX,
                                 int sizeY,
                                 int offsetX,
                                 int offsetY)

### addCreatureAttribute

    public static EnumCreatureAttribute addCreatureAttribute(String name)

### addCreatureType

    public static EnumCreatureType addCreatureType(String name,
                                                   Class typeClass,
                                                   int maxNumber,
                                                   Material material,
                                                   boolean peaceful)

### addDoor

    public static EnumDoor addDoor(String name)

### addEnchantmentType

    public static EnumEnchantmentType addEnchantmentType(String name)

### addEntitySize

    public static EnumEntitySize addEntitySize(String name)

### addMobType

    public static EnumMobType addMobType(String name)

### addMovingObjectType

    public static EnumMovingObjectType addMovingObjectType(String name)

### addSkyBlock

    public static EnumSkyBlock addSkyBlock(String name,
                                           int lightValue)

### addStatus

    public static EnumStatus addStatus(String name)

### addToolMaterial

    public static EnumToolMaterial addToolMaterial(String name,
                                                   int harvestLevel,
                                                   int maxUses,
                                                   float efficiency,
                                                   int damage,
                                                   int enchantability)

### setFailsafeFieldValue

    public static void setFailsafeFieldValue(Field field,
                                             Object target,
                                             Object value)
                                      throws Exception

  Throws:
    `Exception`

### addEnum

    public static <T extends Enum<?>> T addEnum(Class<T> enumType,
                                                String enumName,
                                                Object... paramValues)

### addEnum

    public static <T extends Enum<?>> T addEnum(Class[][] map,
                                                Class<T> enumType,
                                                String enumName,
                                                Object... paramValues)

### addEnum

    public static <T extends Enum<?>> T addEnum(Class<T> enumType,
                                                String enumName,
                                                Class<?>[] paramTypes,
                                                Object[] paramValues)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD